Name:           snap-photobooth
Summary:        Fast and beautiful camera app
Version:        0.3.0.1
Release:        8%{?dist}
License:        GPLv2+
URL:            https://launchpad.net/snap-elementary

Source0:        https://launchpad.net/snap-elementary/0.3.x/%{version}/+download/%{name}-%{version}.tar.xz

# Include the appropriate icon from elementary-icon-theme so appdata metadata generation works.
# A Bug about the missing icon is reported upstream:
# https://bugs.launchpad.net/snap-elementary/+bug/1658325

Source1:        org.pantheon.snap.svg

# Patch the .desktop file to not use the generic icon name but the bundled icon
Patch0:         00-rename-icon.patch

BuildRequires:  cmake
BuildRequires:  desktop-file-utils
BuildRequires:  gettext
BuildRequires:  intltool
BuildRequires:  libappstream-glib
BuildRequires:  vala >= 0.24
BuildRequires:  vala-tools

BuildRequires:  pkgconfig(clutter-gst-3.0)
BuildRequires:  pkgconfig(clutter-gtk-1.0)
BuildRequires:  pkgconfig(gee-0.8)
BuildRequires:  pkgconfig(gio-2.0)
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(granite)
BuildRequires:  pkgconfig(gtk+-3.0)

Requires:       hicolor-icon-theme


%description
A fast and beautiful camera app.

Designed for elementary OS.


%prep
%autosetup -p1


%build
mkdir build && pushd build
%cmake -DBUILD_FOR_ELEMENTARY:BOOL=OFF ..
%make_build
popd


%install
pushd build
%make_install
popd

%find_lang snap-photobooth

mkdir -p %{buildroot}/%{_datadir}/icons/hicolor/scalable/apps
cp -p %{SOURCE1} %{buildroot}/%{_datadir}/icons/hicolor/scalable/apps/


%check
desktop-file-validate %{buildroot}/%{_datadir}/applications/org.pantheon.snap.desktop
appstream-util validate-relax --nonet %{buildroot}/%{_datadir}/appdata/org.pantheon.snap.appdata.xml


%post
/bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    /bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    /usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
/usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :


%files -f snap-photobooth.lang
%license COPYING

%{_bindir}/snap-photobooth

%{_datadir}/appdata/org.pantheon.snap.appdata.xml
%{_datadir}/applications/org.pantheon.snap.desktop
%{_datadir}/glib-2.0/schemas/org.pantheon.snap.gschema.xml
%{_datadir}/icons/hicolor/scalable/apps/org.pantheon.snap.svg


%changelog
* Wed Feb 08 2017 Fabio Valentini <decathorpe@gmail.com> - 0.3.0.1-8
- Rename bundled icon, ship branded .desktop file.

* Wed Jan 25 2017 Fabio Valentini <decathorpe@gmail.com> - 0.3.0.1-7
- Include icon to fix appstream metadata generation.

* Thu Jan 05 2017 Fabio Valentini <decathorpe@gmail.com> - 0.3.0.1-6
- Clean up spec file.

* Thu Sep 29 2016 Fabio Valentini <decathorpe@gmail.com> - 0.3.0.1-5
- Mass rebuild.

* Wed Sep 28 2016 Fabio Valentini <decathorpe@gmail.com> - 0.3.0.1-4
- Add missing BR: intltool.

* Wed Sep 28 2016 Fabio Valentini <decathorpe@gmail.com> - 0.3.0.1-3
- Spec file cleanups.

* Mon Sep 19 2016 Fabio Valentini <decathorpe@gmail.com> - 0.3.0.1-2
- Spec file cosmetics.

* Sun Sep 18 2016 Fabio Valentini <decathorpe@gmail.com> - 0.3.0.1-1
- Update to version 0.3.0.1.

* Mon Aug 15 2016 Fabio Valentini <decathorpe@gmail.com> - 0.3-1
- Update to version 0.3.


